Skip to main content
POST
/
v1
/
matrix
/
bulk-status-update
Update multiple matrices status
curl --request POST \
  --url https://staging.api.us.aptlydone.com/matrix/v1/matrix/bulk-status-update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "matrixIds": [
    "9e443675-cf01-4f62-80f1-9a550f9ca93a",
    "39b90375-84e3-44f1-ac58-0c30bd0d0c0c"
  ],
  "matrixStatusId": "c2576170-4b16-4d4f-84ac-65f0159008e3"
}
'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:22.023Z",
  "message": "Success",
  "data": {
    "successCount": 5,
    "failureCount": 0,
    "successIds": [
      "a56a024f-fd34-4a20-9acd-e37cd0cc0eaf",
      "187a4a3b-1143-4d28-ac91-27abaa792198"
    ],
    "failures": {
      "059e7d97-73cf-452d-a306-55d9a920dfae": "Matrix not found",
      "170dea67-879a-4a91-9adb-a6e485833efe": "Unauthorized operation"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
matrixIds
string<uuid>[]
required

Array of matrix IDs to update

Minimum array length: 1
Example:
[
"9e443675-cf01-4f62-80f1-9a550f9ca93a",
"39b90375-84e3-44f1-ac58-0c30bd0d0c0c"
]
matrixStatusId
string<uuid>
required

New matrix status ID

Example:

"c2576170-4b16-4d4f-84ac-65f0159008e3"

Response

Matrix statuses updated successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:33:22.023Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data